qmove(1B)

NAME
qmove - move PBS batch job

SYNOPSIS
qmove <destination> <job ID> [<job ID> ...]
qmove --version

DESCRIPTION
Moves a job from one queue to another. The behavior of the qmove command may be affected by any site hooks. Site hooks can modify the job's attributes, change its routing, etc. Restrictions
The qmove command can be used on job arrays, but not on subjobs or ranges of subjobs. Job arrays can only be moved from one server to another if they are in the 'Q', 'H', or 'W' states, and only if there are no running subjobs. The state of the job array is preserved, and the job array will run to completion on the new server.

A job in the Running , Transiting , or Exiting state cannot be moved. A job in the process of provisioning cannot be moved.

EFFECT OF PRIVILEGE ON BEHAVIOR
An unprivileged user can use the qmove command to move a job only when the move would not violate queue restrictions. A privileged user (root, Manager, Operator) can use the qmove command to move a job under some circumstances where an unprivileged user cannot. The following restrictions apply only to unprivileged users:
    The queue must be enabled
    Moving the job into the queue must not exceed the queue limits for jobs or resources
    If the job is an array job, the size of the job array must not exceed max_array_size for the queue
    The queue cannot have its from_route_only attribute set to True (accepting jobs only from routing queues)

OPTIONS

--version
    The qmove command returns its PBS version information and exits. This option can only be used alone.

OPERANDS

destination
    Where job(s) are to end up. First operand. Syntax:
    <queue name>
        Moves the job(s) into the specified queue at the job's current server.
    @<server name>
        Moves the job(s) into the default queue at the specified server.
    <queue name>@<server name>
        Moves the job(s) into the specified queue at the specified server.

job ID
    Job(s) and/or job array(s) to be moved to the new destination. The qmove command accepts one or more job ID operands of the form:
    <sequence number>[.<server name>][@<server name>]
    <sequence number>[][.<server name>][@<server name>]
Note that some shells require that you enclose a job array identifier in double quotes.

STANDARD ERROR
The qmove command writes a diagnostic messages to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon success

Greater than zero
    Upon failure

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qsub(1B), pbs_movejob(3B)